Package org.opensaml.saml.common.profile

# Interface FormatSpecificNameIdentifierGenerator<NameIdType extends SAMLObject>

Type Parameters:
  `NameIdType` - type of object produced

All Superinterfaces:
  `NameIdentifierGenerator<NameIdType>`

All Known Implementing Classes:
  `AbstractNameIdentifierGenerator`, `AbstractSAML1NameIdentifierGenerator`, `AbstractSAML2NameIDGenerator`

public interface FormatSpecificNameIdentifierGenerator<NameIdType extends SAMLObject> extends NameIdentifierGenerator<NameIdType>
Specialized type of `NameIdentifierGenerator` that is locked to a specific Format of identifier.

Generators without this property are only usable as a "fallback" when a specific generator isn't available for a particular Format.

## Method Summary

Modifier and Type
Method
Description
`String`
`getFormat()`
Get the identifier format associated with this component.

### Methods inherited from interface org.opensaml.saml.common.profile.NameIdentifierGenerator

`generate`

## Method Details

### getFormat

@Nonnull @NotEmpty String getFormat()
Get the identifier format associated with this component.

Returns:
  identifier format